Get transaction
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/transactions/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/transactions/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": {
"address": "0xe59aaf21c4D9Cf92d9eD4537f4404BA031f83b23",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
}
},
"createdAt": "2025-05-18T16:41:34.119Z",
"derivationPath": null,
"id": "4016e25b-77a0-46f6-9c3a-9c94e9fd9741",
"isActive": true,
"metadata": null,
"name": "External address metamask",
"network": "mainnet",
"type": "EXTERNAL",
"updatedAt": "2025-05-18T16:41:34.119Z"
},
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "0.447014",
"amountPaid": "0.447014",
"amountUSD": "0.447014",
"asset": {
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"createdAt": "2024-05-27T14:31:19.436Z",
"currency": "USD",
"decimals": 6,
"id": "873b4eaa-b078-48e5-b298-b46e9a1b73cd",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800083/crypto-assets/usd-coin-usdc-logo_fs9mhv.png",
"name": "USD Coin",
"network": "mainnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2025-04-17T04:50:19.999Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"beneficiary": null,
"blockHash": "0x0a8171c1a6a1567bf8428af5dc73115c18096cfa0357599892d54e8582ac6747",
"blockNumber": 32989728,
"blockchain": {
"createdAt": "2024-05-27T14:31:14.966Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "74733889-4ecd-403e-9840-94e87c043f24",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2024-11-26T20:04:13.945Z"
},
"chainId": 8453,
"confirmations": 6,
"confirmed": true,
"convertedAmount": 0.447014,
"convertedAssetSweptGasFee": null,
"convertedGasFee": 0.5333701926304428,
"createdAt": "2025-07-17T22:13:35.305Z",
"currency": "USD",
"customer": null,
"explorerUrl": "https://basescan.org",
"fee": null,
"feeHash": null,
"gasFee": "0.0001174782810805",
"gasPrice": "200001500",
"gasUsed": "587387",
"hash": "0x96eb0184094a932a8a449dc6a43e0e464221c95320980e2a8573697dc5f18d6e",
"id": "4a89bfaf-04a4-4303-92cc-c701a84a1d27",
"metadata": null,
"network": "mainnet",
"note": null,
"paymentLink": null,
"rate": null,
"rateUSD": "1",
"reason": "Deposit to child wallet",
"recipientAddress": "0xe59aaf21c4D9Cf92d9eD4537f4404BA031f83b23",
"reference": "WQbCFjzeVq",
"senderAddress": "0x09aea4b2242abC8bb4BB78D537A67a245A7bEC64",
"signedTransaction": null,
"status": "SUCCESS",
"toAmount": null,
"toAsset": null,
"toBlockchain": null,
"toCurrency": null,
"toExplorerUrl": null,
"toWallet": null,
"tokenAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"type": "DEPOSIT",
"updatedAt": "2025-07-25T21:02:22.665Z"
},
"message": "Transaction fetched successfully",
"statusCode": 200
}Get transaction
Get transaction
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
transactions
/
{id}
Get transaction
Authorizations
Path Parameters
Example:
"{{walletId}}"
Example:
"0xe59aaf21c4D9Cf92d9eD4537f4404BA031f83b23"
Example:
"4a89bfaf-04a4-4303-92cc-c701a84a1d27"
⌘I

